import { Component, Input } from '@angular/core';
import { EditorialContentsService } from '../../../services/editorial-contents/editorial-contents.service';
var EditorialComponentComponent = /** @class */ (function () {
    function EditorialComponentComponent(contentsService) {
        this.contentsService = contentsService;
    }
    EditorialComponentComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.contentsService.getComponent(this.id, false, true)
            .then(function (component) { return _this.initializeComponent(component); });
    };
    EditorialComponentComponent.prototype.initializeComponent = function (component) {
        this.component = component;
        if (component.rendering.js) {
            var script = document.createElement('script');
            script.innerText = '$( document ).ready(function() { ' + component.rendering.js + '});';
            document.body.appendChild(script);
        }
    };
    EditorialComponentComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-editorial-component',
                    templateUrl: './editorial-component.component.html',
                    styleUrls: ['./editorial-component.component.css']
                },] },
    ];
    /** @nocollapse */
    EditorialComponentComponent.ctorParameters = function () { return [
        { type: EditorialContentsService, },
    ]; };
    EditorialComponentComponent.propDecorators = {
        'id': [{ type: Input },],
    };
    return EditorialComponentComponent;
}());
export { EditorialComponentComponent };
//# sourceMappingURL=editorial-component.component.js.map