import { Component, Input } from '@angular/core';
import { Location } from '@angular/common';
import { EditorialContentsService } from '../../../services/editorial-contents/editorial-contents.service';
var EditorialPageComponent = /** @class */ (function () {
    function EditorialPageComponent(location, contentsService) {
        this.location = location;
        this.contentsService = contentsService;
    }
    EditorialPageComponent.prototype.ngOnInit = function () {
        var _this = this;
        this.pageId = this.getPageId();
        if (!this.pageId) {
            //page not found handler
            return;
        }
        this.contentsService.getPage(this.pageId, false, true)
            .then(function (page) { return _this.page = page; });
    };
    EditorialPageComponent.prototype.getPageId = function () {
        if (this.id) {
            return this.id;
        }
        return location.pathname;
    };
    EditorialPageComponent.decorators = [
        { type: Component, args: [{
                    selector: 'app-editorial-page',
                    templateUrl: './editorial-page.component.html',
                    styleUrls: ['./editorial-page.component.css']
                },] },
    ];
    /** @nocollapse */
    EditorialPageComponent.ctorParameters = function () { return [
        { type: Location, },
        { type: EditorialContentsService, },
    ]; };
    EditorialPageComponent.propDecorators = {
        'id': [{ type: Input },],
    };
    return EditorialPageComponent;
}());
export { EditorialPageComponent };
//# sourceMappingURL=editorial-page.component.js.map