export declare class Site {
    title: string;
    favicon: string;
    home: string;
}
export declare class Item {
    info: ItemInfo;
    template: Template;
    data: string;
}
export declare abstract class ContentBase {
    info: ItemInfo;
    template: Template;
    rendering: Rendering;
}
export declare class EditorialPage extends ContentBase {
    seo: SeoData;
}
export declare class EditorialComponent extends ContentBase {
}
export declare class Rendering {
    html: string;
    css: string;
    js: string;
}
export declare class Template {
    id: string;
    name: string;
}
export declare class ItemInfo {
    id: string;
    url: string;
    version: string;
}
export declare class SeoData {
    metaTitle: string;
    metaDescription: string;
    canonicalUrl: string;
    noIndex: boolean;
    noFollow: boolean;
}
