import { Injectable } from '@angular/core';
import { Http } from '@angular/http';
import 'rxjs/add/operator/toPromise';
import { UriUtil } from '../../utils/uri-utils';
var EditorialContentsService = /** @class */ (function () {
    function EditorialContentsService(http, uriUtil) {
        this.http = http;
        this.uriUtil = uriUtil;
        this.heroesUrl = '/umbraco/alaskaHeadlessCms/contents';
    }
    EditorialContentsService.prototype.getComponentData = function (id) {
        var url = this.uriUtil.formatUri(this.heroesUrl + '/getComponent', {
            id: id,
            includeData: true,
            includeRendering: false
        });
        return this.http.get(url)
            .toPromise()
            .then(function (response) { return JSON.parse(response.json().data); })
            .catch(this.handleError);
    };
    EditorialContentsService.prototype.getComponent = function (id, includeData, includeRendering) {
        var url = this.uriUtil.formatUri(this.heroesUrl + '/getComponent', {
            id: id,
            includeData: includeData,
            includeRendering: includeRendering
        });
        return this.http.get(url)
            .toPromise()
            .then(function (response) { return response.json(); })
            .catch(this.handleError);
    };
    EditorialContentsService.prototype.getPage = function (id, includeData, includeRendering) {
        var url = this.uriUtil.formatUri(this.heroesUrl + '/getPage', {
            id: id,
            includeData: includeData,
            includeRendering: includeRendering
        });
        return this.http.get(url)
            .toPromise()
            .then(function (response) { return response.json(); })
            .catch(this.handleError);
    };
    EditorialContentsService.prototype.getSite = function (id) {
        var url = this.uriUtil.formatUri(this.heroesUrl + '/getSite', {
            id: id
        });
        return this.http.get(url)
            .toPromise()
            .then(function (response) { return response.json(); })
            .catch(this.handleError);
    };
    EditorialContentsService.prototype.handleError = function (error) {
        console.error(error);
        return Promise.reject(error.message || error);
    };
    EditorialContentsService.decorators = [
        { type: Injectable },
    ];
    /** @nocollapse */
    EditorialContentsService.ctorParameters = function () { return [
        { type: Http, },
        { type: UriUtil, },
    ]; };
    return EditorialContentsService;
}());
export { EditorialContentsService };
//# sourceMappingURL=editorial-contents.service.js.map